package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.Trace;
import com.ynet.life.sujrb.base.PBStandard;
import java.util.Map;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UserPrivilegeCheck.class */
public class UserPrivilegeCheck extends LifeJDBCAction {
    private String bsnCode;

    public String execute(Context context) throws GENEException {
        try {
            context.getDataValue("session_customerId");
            String businessCode = (String) context.getDataValue(this.bsnCode);
            boolean serviceTime = PBStandard.checkServiceTime(businessCode);
            boolean userPrivilege = checkUserPrivilege(businessCode, context);
            if (!serviceTime) {
                context.put("userPrivilege", "false");
                context.put("message", "对不起,此业务目前不在受理时间!");
                return "0";
            }
            if (!userPrivilege) {
                context.put("userPrivilege", "false");
                context.put("message", "对不起,您没有进行该交易的权限!");
                return "0";
            }
            context.put("userPrivilege", "true");
            return "0";
        } catch (Exception e) {
            Trace.logError("LifeAction", "权限校验异常", e);
            context.put("userPrivilege", "false");
            context.put("message", "系统暂时异常,请稍后重试!");
            return "0";
        }
    }

    /* JADX WARN: Type inference failed for: r0v9, types: [boolean, java.lang.Throwable] */
    public boolean checkUserPrivilege(String businessCode, Context context) throws Exception {
        ?? containsKey;
        try {
            Map userPrivilegeMap = (Map) context.getDataValue("session_businessTable");
            if (userPrivilegeMap == null) {
                return false;
            }
            if (businessCode != null) {
                containsKey = userPrivilegeMap.containsKey(businessCode);
                if (containsKey == 0) {
                    return false;
                }
            }
            if (businessCode == null) {
                return false;
            }
            return true;
        } catch (Exception e) {
            throw containsKey;
        }
    }

    public String getBsnCode() {
        return this.bsnCode;
    }

    public void setBsnCode(String bsnCode) {
        this.bsnCode = bsnCode;
    }
}
